import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

import "core-js/modules/es.array.iterator.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.set.js";
import "core-js/modules/es.string.iterator.js";
import "core-js/modules/web.dom-collections.iterator.js";
import "core-js/modules/es.object.keys.js";

/**
 * File: /src/components/Box/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 06-07-2022 08:51:13
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import { Box as DBox, Pressable as DPressable } from "@dripsy/core";
import { BackgroundColorProvider } from "@risserlabs/auto-contrast";
import Text from "../Text";
import { splitProps, pressablePropKeys } from "./props";
import { isText } from "../../dripsyHelper";
var pressablePropKeysSet = new Set(pressablePropKeys);

var _Box = function Box(props) {
  var _this2 = this;

  _newArrowCheck(this, _this);

  var sx = _objectSpread(_objectSpread({}, _Box.defaultSx), props.sx);

  var _splitProps = splitProps(props, sx),
      baseProps = _splitProps.baseProps,
      baseSx = _splitProps.baseSx,
      textProps = _splitProps.textProps,
      pressableSx = _splitProps.pressableSx,
      textSx = _splitProps.textSx,
      pressableProps = _splitProps.pressableProps;

  var children = isText(props.children) ? /*#__PURE__*/React.createElement(Text, _extends({}, textProps, {
    sx: textSx
  }), props.children) : props.children;

  var isPressable = function () {
    _newArrowCheck(this, _this2);

    var propKeys = Object.keys(props);

    for (var i = 0; i < propKeys.length; i++) {
      var propKey = propKeys[i];
      if (pressablePropKeysSet.has(propKey)) return true;
    }

    return false;
  }.bind(this)();

  var renderBase = function renderBase() {
    _newArrowCheck(this, _this2);

    return /*#__PURE__*/React.createElement(DBox, _extends({}, baseProps, isPressable ? {} : pressableProps, {
      sx: _objectSpread(_objectSpread({}, baseSx), isPressable ? {} : pressableSx)
    }), /*#__PURE__*/React.createElement(BackgroundColorProvider, {
      sx: sx
    }, children));
  }.bind(this);

  return isPressable ? /*#__PURE__*/React.createElement(DPressable, _extends({}, pressableProps, {
    sx: pressableSx
  }), renderBase()) : renderBase();
}.bind(this);

_Box.defaultProps = {};
_Box.defaultSx = {
  boxSizing: "border-box",
  cursor: "auto",
  display: "flex",
  flexDirection: "row",
  margin: 0,
  minWidth: 0
};
export default _Box;
//# sourceMappingURL=index.mjs.map