import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/components/Donut/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 10-08-2022 06:33:49
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react"; //  import { View, SxProp } from 'dripsy';

import { Box as DBox } from "@dripsy/core";

//export interface DonutProps extends ViewProps {
//sx?: SxProp;
//max?: Number;
//value?: Number;
//}
var _Donut = function Donut(props) {
  _newArrowCheck(this, _this);

  var size = 128;
  var strokeWidth = 2;
  var value = 0;
  var min = 0;
  var max = 1;
  var r = 16 - strokeWidth;
  var C = 2 * r * Math.PI;
  var offset = C - (value - min) / (max - min) * C;

  var sx = _objectSpread(_objectSpread({}, _Donut.defaultSx), props.sx);

  return /*#__PURE__*/React.createElement(DBox, {
    sx: _objectSpread({}, sx)
  });
}.bind(this);

_Donut.defaultProps = {};
_Donut.defaultSx = {
  border: "3px solid black",
  width: "50px",
  height: "50px",
  borderRadius: "50px",
  strokeWidth: "2px",
  fill: "none",
  stroke: "currentcolor",
  color: "primary",
  borderColor: "secondary",
  fontSize: "text"
};
export default _Donut;
//# sourceMappingURL=index.mjs.map