import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

import "core-js/modules/es.array.index-of.js";
import "core-js/modules/es.string.trim.js";
import "core-js/modules/es.array.join.js";
import "core-js/modules/es.array.from.js";
import "core-js/modules/es.string.iterator.js";
import "core-js/modules/es.regexp.exec.js";
import "core-js/modules/es.string.match.js";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/components/Embed/Embed.native.tsx
 * Project: @native-theme-ui/core
 * File Created: 18-07-2022 06:25:17
 * Author: Clay Risser
 * -----
 * Last Modified: 20-07-2022 00:55:37
 * Modified By: Manikanta
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React, { useEffect, useRef, useState } from "react";
import { View } from "react-native";
import Box from "../Box";
import WebViewThemed from "./WebViewThemed";
import YoutubeIframeThemed from "./YoutubeIframeThemed";
import { SizeDimension, useCalculateSize } from "./size";
import { splitProps } from "./props";

var _Embed = function Embed(props) {
  var _this2 = this;

  _newArrowCheck(this, _this);

  var viewRef = useRef(null);

  var _useState = useState([null, null]),
      _useState2 = _slicedToArray(_useState, 2),
      renderedSize = _useState2[0],
      setRenderedSize = _useState2[1];

  var sx = _objectSpread(_objectSpread(_objectSpread(_objectSpread({}, props.height ? {
    height: props.height
  } : {}), props.width ? {
    width: props.width
  } : {}), {}, {
    border: props.frameBorder
  }, _Embed.defaultSx), props.sx);

  sx.width = useCalculateSize(sx.width, sx.height, props.ratio, SizeDimension.Width) || renderedSize[0];
  sx.height = useCalculateSize(sx.height, sx.width, props.ratio, SizeDimension.Height);

  var _splitProps = splitProps(props, sx),
      baseProps = _splitProps.baseProps,
      iframeProps = _splitProps.iframeProps;

  useEffect(function () {
    var _this3 = this;

    _newArrowCheck(this, _this2);

    if (!viewRef.current) return;
    viewRef.current.measure(function (_x, _y, width, height) {
      _newArrowCheck(this, _this3);

      setRenderedSize([width, height]);
    }.bind(this));
  }.bind(this), []);
  var youtubeVideoId = typeof props.src === "string" && (props.src.indexOf("youtube.com/") > -1 || props.src.indexOf("youtube/") > -1) && Array.from(props.src.match(/[^/]+$/g) || []).join("").trim() || null;

  function renderWebView() {
    if (!props.src) return [];

    if (youtubeVideoId) {
      var youtubeIframeThemedProps = _objectSpread({}, props);

      delete youtubeIframeThemedProps.src;
      return /*#__PURE__*/React.createElement(YoutubeIframeThemed, {
        initialPlayerParams: _objectSpread({}, typeof iframeProps.allowFullScreen === "boolean" ? {
          preventFullScreen: !iframeProps.allowFullScreen
        } : {}),
        defaultHeight: 400,
        videoId: youtubeVideoId,
        useLocalHTML: true,
        sx: {
          width: sx.width,
          height: sx.height
        }
      });
    }

    return /*#__PURE__*/React.createElement(Box, {
      sx: {
        height: sx.height,
        width: sx.width || (!sx.height ? "50%" : sx.width)
      }
    }, /*#__PURE__*/React.createElement(WebViewThemed, {
      source: {
        uri: props.src
      },
      originWhitelist: ["*"],
      sx: {
        width: sx.width,
        height: sx.height
      }
    }));
  }

  return /*#__PURE__*/React.createElement(View, {
    ref: viewRef
  }, /*#__PURE__*/React.createElement(Box, _extends({}, baseProps, {
    sx: _objectSpread(_objectSpread({}, sx), {}, {
      height: sx.height,
      width: sx.width || (!sx.height ? "100%" : sx.width)
    })
  }), renderWebView()));
}.bind(this);

_Embed.defaultProps = {
  ratio: 16 / 9
};
_Embed.defaultSx = {};
export default _Embed;
//# sourceMappingURL=Embed.native.mjs.map