import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _extends from "@babel/runtime/helpers/extends";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/components/Embed/Embed.web.tsx
 * Project: @native-theme-ui/core
 * File Created: 18-07-2022 06:25:17
 * Author: Clay Risser
 * -----
 * Last Modified: 18-07-2022 07:15:36
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import Box from "../Box";
import { SizeDimension, useCalculateSize } from "./size";
import { splitProps } from "./props";

var _Embed = function Embed(props) {
  _newArrowCheck(this, _this);

  var sx = _objectSpread(_objectSpread(_objectSpread(_objectSpread({}, props.height ? {
    height: props.height
  } : {}), props.width ? {
    width: props.width
  } : {}), {}, {
    border: props.frameBorder
  }, _Embed.defaultSx), props.sx);

  sx.height = useCalculateSize(sx.height, sx.width, props.ratio, SizeDimension.Height);
  sx.width = useCalculateSize(sx.width, sx.height, props.ratio, SizeDimension.Width);

  var _splitProps = splitProps(props, sx),
      baseProps = _splitProps.baseProps,
      iframeProps = _splitProps.iframeProps;

  return /*#__PURE__*/React.createElement(Box, _extends({}, baseProps, {
    sx: sx
  }), /*#__PURE__*/React.createElement("iframe", _extends({}, iframeProps, {
    style: {
      position: "absolute",
      width: "100%",
      height: "100%",
      top: 0,
      bottom: 0,
      left: 0,
      border: 0
    }
  })));
}.bind(this);

_Embed.defaultProps = {};
_Embed.defaultSx = {
  // width: "100%",
  position: "relative",
  overflow: "hidden"
};
export default _Embed;
//# sourceMappingURL=Embed.web.mjs.map