require("core-js/modules/esnext.global-this.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "core-js/modules/es.number.is-nan.js", "core-js/modules/es.number.constructor.js", "@dripsy/core"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("core-js/modules/es.number.is-nan.js"), require("core-js/modules/es.number.constructor.js"), require("@dripsy/core"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.esNumberIsNan, global.esNumberConstructor, global.core);
    global.size = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _esNumberIsNan, _esNumberConstructor, _core) {
  "use strict";

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.SizeDimension = void 0;
  _exports.useCalculateSize = useCalculateSize;

  function getAbsoluteSize(theme, size) {
    var absoluteSize = size;

    if (typeof size === "function") {
      absoluteSize = size(theme);
    }

    if (typeof absoluteSize === "string" && absoluteSize.length) {
      if (absoluteSize[absoluteSize.length - 1] === "%") {
        return absoluteSize;
      } else {
        var sizeNumber = parseInt(absoluteSize);
        return Number.isNaN(sizeNumber) ? sizeNumber : absoluteSize;
      }
    }

    return absoluteSize;
  }

  function useCalculateSize(size, orthogonalSize) {
    var ratio = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 16 / 9;
    var sizeDimension = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : SizeDimension.Width;
    var theme = (0, _core.useDripsyTheme)();
    size = getAbsoluteSize(theme, size);
    if (size && (typeof size !== "number" || size > 0)) return size;
    orthogonalSize = getAbsoluteSize(theme, orthogonalSize);

    if (typeof orthogonalSize === "number" && orthogonalSize > 0) {
      return sizeDimension === SizeDimension.Width ? orthogonalSize * ratio : orthogonalSize / ratio;
    }

    return size;
  }

  var SizeDimension;
  _exports.SizeDimension = SizeDimension;

  (function (SizeDimension) {
    SizeDimension[SizeDimension["Width"] = 0] = "Width";
    SizeDimension[SizeDimension["Height"] = 1] = "Height";
  })(SizeDimension || (_exports.SizeDimension = SizeDimension = {}));
});
//# sourceMappingURL=size.js.map