import "core-js/modules/es.object.keys.js";
import "core-js/modules/es.symbol.js";
import "core-js/modules/es.array.filter.js";
import "core-js/modules/es.object.to-string.js";
import "core-js/modules/es.object.get-own-property-descriptor.js";
import "core-js/modules/web.dom-collections.for-each.js";
import "core-js/modules/es.object.get-own-property-descriptors.js";
import _defineProperty from "@babel/runtime/helpers/defineProperty";
import _newArrowCheck from "@babel/runtime/helpers/newArrowCheck";

var _this = this;

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

/**
 * File: /src/components/Progress/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 13-06-2022 00:51:44
 * Author: Clay Risser
 * -----
 * Last Modified: 09-08-2022 07:25:59
 * Modified By: K S R P BHUSHAN
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import React from "react";
import Box from "../Box";
import { View } from "@dripsy/core";

var _Progress = function Progress(props) {
  _newArrowCheck(this, _this);

  var max = props.max || 100;
  var value = props.value || 0;

  var sx = _objectSpread(_objectSpread({}, _Progress.defaultSx), props.sx);

  var sxMax = _objectSpread({}, sx);

  var sxValue = _objectSpread(_objectSpread({}, sx), {}, {
    bg: sx.color,
    width: "".concat(Math.max(Math.min(value / max, 1), 0) * 100, "%")
  });

  delete sxMax.color;
  delete sxMax.p;
  delete sxMax.padding;
  delete sxMax.paddingBottom;
  delete sxMax.paddingLeft;
  delete sxMax.paddingRight;
  delete sxMax.paddingTop;
  delete sxMax.pb;
  delete sxMax.pl;
  delete sxMax.pr;
  delete sxMax.pt;
  delete sxValue.p;
  delete sxValue.padding;
  delete sxValue.paddingBottom;
  delete sxValue.paddingLeft;
  delete sxValue.paddingRight;
  delete sxValue.paddingTop;
  delete sxValue.pb;
  delete sxValue.pl;
  delete sxValue.pr;
  delete sxValue.pt;
  delete sxValue.color;
  delete sxValue.m;
  delete sxValue.margin;
  delete sxValue.marginBottom;
  delete sxValue.marginLeft;
  delete sxValue.marginRight;
  delete sxValue.marginTop;
  delete sxValue.mb;
  delete sxValue.ml;
  delete sxValue.mr;
  delete sxValue.mt;
  return /*#__PURE__*/React.createElement(Box, {
    variant: "styles.progress",
    sx: sxMax
  }, /*#__PURE__*/React.createElement(View, {
    sx: sxValue
  }));
}.bind(this);

_Progress.defaultProps = {};
_Progress.defaultSx = {
  display: "flex",
  height: "5px",
  margin: 0,
  marginRight: "20px",
  padding: 0,
  bg: "gray",
  overflow: "hidden",
  color: "primary",
  borderRadius: 9999,
  border: "none" // '&::-webkit-progress-bar': {
  //   bg: 'transparent'
  // },
  // '&::-webkit-progress-value': {
  //   bg: 'currentcolor'
  // },
  // '&::-moz-progress-bar': {
  //   bg: 'currentcolor'
  // }

};
export default _Progress;
//# sourceMappingURL=index.mjs.map