require("core-js/modules/esnext.global-this.js");

require("core-js/modules/es.object.to-string.js");

require("core-js/modules/web.dom-collections.for-each.js");

require("core-js/modules/es.object.keys.js");

(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "./modulesToTranspile.json", "./components", "./hooks", "@dripsy/core", "@dripsy/core/src/provider", "@dripsy/core/src/css/scales", "@dripsy/core/src/declarations", "@dripsy/core/src/css/types"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("./modulesToTranspile.json"), require("./components"), require("./hooks"), require("@dripsy/core"), require("@dripsy/core/src/provider"), require("@dripsy/core/src/css/scales"), require("@dripsy/core/src/declarations"), require("@dripsy/core/src/css/types"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.modulesToTranspile, global.components, global.hooks, global.core, global.provider, global.scales, global.declarations, global.types);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _modulesToTranspile, _components, _hooks, _core, _provider, _scales, _declarations, _types) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  var _exportNames = {
    modulesToTranspile: true,
    BreakpointIndexProvider: true,
    ContainerQuery: true,
    Styles: true,
    createThemedComponent: true,
    css: true,
    getBreakpointIndex: true,
    remToPixels: true,
    styled: true,
    useBreakpointIndex: true,
    useBreakpoints: true,
    useTheme: true,
    useResponsiveValue: true,
    useSx: true
  };
  Object.defineProperty(_exports, "BreakpointIndexProvider", {
    enumerable: true,
    get: function get() {
      return _core.BreakpointIndexProvider;
    }
  });
  Object.defineProperty(_exports, "ContainerQuery", {
    enumerable: true,
    get: function get() {
      return _core.ContainerQuery;
    }
  });
  Object.defineProperty(_exports, "Styles", {
    enumerable: true,
    get: function get() {
      return _core.Styles;
    }
  });
  Object.defineProperty(_exports, "createThemedComponent", {
    enumerable: true,
    get: function get() {
      return _core.createThemedComponent;
    }
  });
  Object.defineProperty(_exports, "css", {
    enumerable: true,
    get: function get() {
      return _core.css;
    }
  });
  Object.defineProperty(_exports, "getBreakpointIndex", {
    enumerable: true,
    get: function get() {
      return _core.getBreakpointIndex;
    }
  });
  Object.defineProperty(_exports, "modulesToTranspile", {
    enumerable: true,
    get: function get() {
      return _modulesToTranspile.default;
    }
  });
  Object.defineProperty(_exports, "remToPixels", {
    enumerable: true,
    get: function get() {
      return _core.remToPixels;
    }
  });
  Object.defineProperty(_exports, "styled", {
    enumerable: true,
    get: function get() {
      return _core.styled;
    }
  });
  Object.defineProperty(_exports, "useBreakpointIndex", {
    enumerable: true,
    get: function get() {
      return _core.useBreakpointIndex;
    }
  });
  Object.defineProperty(_exports, "useBreakpoints", {
    enumerable: true,
    get: function get() {
      return _core.useBreakpoints;
    }
  });
  Object.defineProperty(_exports, "useResponsiveValue", {
    enumerable: true,
    get: function get() {
      return _core.useResponsiveValue;
    }
  });
  Object.defineProperty(_exports, "useSx", {
    enumerable: true,
    get: function get() {
      return _core.useSx;
    }
  });
  Object.defineProperty(_exports, "useTheme", {
    enumerable: true,
    get: function get() {
      return _core.useDripsyTheme;
    }
  });
  _modulesToTranspile = _interopRequireDefault(_modulesToTranspile);
  Object.keys(_components).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _components[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _components[key];
      }
    });
  });
  Object.keys(_hooks).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _hooks[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _hooks[key];
      }
    });
  });
  Object.keys(_provider).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _provider[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _provider[key];
      }
    });
  });
  Object.keys(_scales).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _scales[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _scales[key];
      }
    });
  });
  Object.keys(_declarations).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _declarations[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _declarations[key];
      }
    });
  });
  Object.keys(_types).forEach(function (key) {
    if (key === "default" || key === "__esModule") return;
    if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
    if (key in _exports && _exports[key] === _types[key]) return;
    Object.defineProperty(_exports, key, {
      enumerable: true,
      get: function get() {
        return _types[key];
      }
    });
  });
});
//# sourceMappingURL=index.js.map